Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1914 (closed enhancement: fixed)

Opened 11 years ago

Last modified 11 years ago

r3574 does not compile against 2.6.25-05309-gcb90a2c

Reported by: justinmattock@gmail.com Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: makefiles Version: trunk
Keywords: i386-elf Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

With the latest git (2.6.25-05309-gcb90a2c) madwifi ("for the life of me") won't compile. here is the errors:

/home/name/Desktop/madwifi-trunk-r3574-20080426/Makefile:50 Makefile.inc: no such file or directory

editing Makefile with the path to Makefile.inc produces this:

Makefile.inc98: scripts/get_arch.mk: no such file or directory
Makefile.inc:102 ath_hal/ah_target.inc: no such file or directory
Makefile.inc:163 *** TARGET i386-elf is invalid, invalid target are: . Stop.
make[1] *** [modules] Error 2

regards;

Justin P. Mattock

Change History

04/28/08 06:30:53 changed by mrenzmann

  • priority changed from major to minor.
  • owner changed.
  • component changed from madwifi: other to madwifi: makefiles.
  • description changed.
  • summary changed from Makefile.inc:50 no such file or directory to r3574 does not compile against 2.6.25-05309-gcb90a2c.

(follow-up: ↓ 3 ) 05/05/08 06:57:42 changed by mrenzmann

Please confirm whether this issue still exists after the fixes committed in r3603.

(in reply to: ↑ 2 ) 05/05/08 19:08:14 changed by justinmattock@gmail.com

Replying to mrenzmann:

Please confirm whether this issue still exists after the fixes committed in r3603.

Hello; I used r3613 and can confirm with 2.6.26-rc1 it works, compiled with no errors, and loaded perfectly.

regards;

Justin P. Mattock

05/06/08 05:55:04 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.5.

Thanks. Closing this ticket as fixed as per the feedback above.